=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2009-10-22 08:40:35 +0000
+++ bzrlib/osutils.py	2009-10-22 15:19:59 +0000
@@ -1296,7 +1296,8 @@
 
 def terminal_width():
     """Return estimated terminal width."""
-    if getattr(sys.stdout, 'isatty', None) is None:
+    isatty = getattr(sys.stdout, 'isatty', None)
+    if  isatty is None or not isatty():
         # If it's not a tty, the width makes no sense. We just use a value bug
         # enough to avoid truncations. When the output is redirected, the
         # pagers can then handle that themselves. A cleaner implementation

